"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const yargs_1 = tslib_1.__importDefault(require("yargs/yargs"));
const generate_1 = require("./generate.cjs");
const inject_1 = require("./inject.cjs");
yargs_1.default(process.argv.slice(2))
    .command("generate", "Generate export map", (cmd) => {
    return cmd
        .option("cwd", {
        type: "string",
        default: process.cwd(),
        defaultDescription: "CWD",
        description: "Current working directory."
    })
        .option("include", {
        type: "array",
        string: true,
        description: "Files to include. All TypeScript files are included by default."
    })
        .option("exclude", {
        type: "array",
        string: true,
        description: "Files to exclude."
    })
        .option("ignoreFile", {
        type: "string",
        description: "Exclude files using a .gitignore style file."
    })
        .option("export", {
        type: "string",
        demandOption: true,
        description: "Path of export map."
    });
}, generate_1.generate)
    .command("inject", "Inject export map into package.json", (cmd) => {
    return cmd
        .option("package", {
        type: "string",
        demandOption: true,
        description: "Path of package.json."
    })
        .option("export", {
        type: "string",
        demandOption: true,
        description: "Path of export map."
    });
}, inject_1.inject)
    .demandCommand()
    .showHelpOnFail(false).argv;
//# sourceMappingURL=cli.cjs.map